"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = noDatabaseDbHandler;
const dbHandler_1 = __importDefault(require("./dbHandler"));
/**
 * # Create database from Schema Function
 */
function noDatabaseDbHandler(queryString) {
    return __awaiter(this, void 0, void 0, function* () {
        /**
         * Declare variables
         *
         * @description Declare "results" variable
         */
        let results;
        /**
         * Fetch from db
         *
         * @description Fetch data from db if no cache
         */
        try {
            /** ********************* Run Query */
            results = yield (0, dbHandler_1.default)({ query: queryString });
            ////////////////////////////////////////
            ////////////////////////////////////////
            ////////////////////////////////////////
        }
        catch (error) {
            console.log("ERROR in noDatabaseDbHandler =>", error.message);
        }
        /**
         * Return results
         *
         * @description Return results add to cache if "req" param is passed
         */
        if (results) {
            return results;
        }
        else {
            return null;
        }
    });
}
